<?php
/*
Plugin Name: TeamBooking Action Hook - Example 7 (tbk_reservation_email_to_admin)
Description: Add a BCC e-mail address if the reservation is for a particular service. It is just a documentation example, take it as a starting point.
Version:     1.0
Author:      VonStroheim
License:     MIT
License URI: https://opensource.org/licenses/MIT
*/

function example_one_tbk_reservation_email_to_admin($email, $reservation){
    // if the reservation is for "gym-class", let's add our BCC
    if ($reservation->getServiceId() === 'gym-class') {
        $email->setBcc('john@example.com', 'John Gym');
    }
}

add_action('tbk_reservation_email_to_admin', 'example_one_tbk_reservation_email_to_admin', 10, 2);